Go to documentation repository
Documentation for Intellect 4.11.0-4.11.3. Documentation for other versions of Intellect is available too.
Previous page Next page
General request format:
GET http://IP-address:port/web2/secure/video/action.do?version={version}&sessionid={sessionid}&video_in={video_in}&command=arc.intervals&time_from={time_from}&time_to={time_to}&max_count={max_count}&split_threshold={split_threshold}&login={login}&password={password}
Request parameters:
Parameter | Is required | Description |
|---|---|---|
| version | Yes | See Product version |
| sessionid | No | Session ID |
| video_in | Yes | Camera ID in the format "TYPE:ID", for example "CAM:1" |
| command | Yes | Command to receive list of records: arc.intervals |
| time_from | Yes | Start of interested time range |
| time_to | No | End of interested time range |
| max_count | No | Maximal number of records in reply |
| split_threshold | No | Time for combining several intervals (in seconds). Intervals, distance between which will be less than specified value, will be combined in one. |
| login | No | Intellect username, if set |
| password | No | Intellect user password, if set |
| format | No | Sets the response format (see General information on HTTP API) |
Example request:
GET http://127.0.0.1:8085/web2/secure/video/action.do?version=4.9.0.0&sessionid=29101F1&video_in=CAM:5&command=arc.intervals&time_from=2013-03-20T00:00:00.000+04:00&time_to=2013-03-22T23:59:59.999+04:00&max_count=100&split_threshold=10399&login=USER&password=PASS
Example response:
XML:
<?xml version="1.0" encoding="UTF-8"?> <records count="1" complete="YES" sort="INCREASE"> <record> <from>2011-09-01T00:00:00-05:00</from> <to>2011-09-01T00:00:35-05:00</to> </record> <record> <from>2011-09-01T00:00:35-05:00</from> <to>2011-09-01T00:01:10-05:00</to> </record> </records>
JSON:
{ 'count' : 1,
'complete' : 'YES',
'sort' : 'INCREASE',
'cam' : '1',
'records' : [ {
'from' : '2019-01-22T12:41:10.144+03:00',
'to' : '2019-01-23T08:28:47.346+03:00'
}]
}
Overview
Content Tools